<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package Serpentsoft
 * @subpackage Adams_News 1.0
 * @since Adams News 1.0
 */

get_header(); ?>

<article id="primary" class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">
        <div class="article-content error404 no-results not-found">
                <header>
                    <h1 itemprop="headline"><?php _e( 'This is somewhat embarrassing, isn&rsquo;t it?', 'serpentsoft' ); ?></h1>

                    <div class="post-info"></div>

                </header>

                <span class="clearfix"></span>
                
                <div class="blog entry-content">
                    <p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'serpentsoft' ); ?></p>
                    <?php get_search_form(); ?>
                </div>
        </div>
    </div>    
</article>


<?php get_footer(); ?>